My server can access github, but docker can't

AI-generated summary

whitewaterdeu is experiencing an issue with their server where it can access GitHub but Docker cannot. They’ve tested their server’s access to GitHub using wget and were successful, but when running ./launcher rebuild app, they encounter an error: fatal: unable to access 'https://github.com/discourse/discourse.git/': gnutls_handshake() failed: Error in the pull function. They also ran ./discourse-doctor, but it didn’t resolve the issue. whitewaterdeu has linked to a possible solution in a separate thread: Fresh Install Failing: gnutls_handshake() failed: Error in the pull function..

Hello guys, i am using a server in HongKong , i have tested that my server can get access to github

root@cvm-3k8ngdw25i225:/var/discourse# wget https://github.com/discourse/discourse.git/
--2023-06-07 02:30:54--  https://github.com/discourse/discourse.git/
Resolving github.com (github.com)... 20.205.243.166
Connecting to github.com (github.com)|20.205.243.166|:443... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: https://github.com/discourse/discourse/ [following]
--2023-06-07 02:30:55--  https://github.com/discourse/discourse/
Reusing existing connection to github.com:443.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [text/html]
Saving to: ‘index.html’

index.html                     [       <=>                              ] 372.28K   272KB/s    in 1.4s    

2023-06-07 02:30:56 (272 KB/s) - ‘index.html’ saved [381210]

when i execute ./launcher rebuild app, an error message promt fatal: unable to access 'https://github.com/discourse/discourse.git/': gnutls_handshake() failed: Error in the pull function.

this is the output of ./discourse-doctor

root@cvm-3k8ngdw25i225:/var/discourse# ./discourse-doctor 
DISCOURSE DOCTOR Wed Jun 7 01:54:44 UTC 2023
OS: Linux cvm-3k8ngdw25i225 5.15.0-73-generic #80-Ubuntu SMP Mon May 15 15:18:26 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux


Found containers/app.yml

==================== YML SETTINGS ====================
DISCOURSE_HOSTNAME=forum.beginner.center
SMTP_ADDRESS=smtp.mailgun.org
DEVELOPER_EMAILS=whitewatercn@outlook.com
SMTP_PASSWORD= mypassword
SMTP_PORT=587
SMTP_USER_NAME=notification@test.com
LETSENCRYPT_ACCOUNT_EMAIL=notification@test.com

==================== DOCKER INFO ====================
DOCKER VERSION: Docker version 24.0.2, build cb74dfc

DOCKER PROCESSES (docker ps -a)

CONTAINER ID   IMAGE     COMMAND   CREATED   STATUS    PORTS     NAMES

==================== SERIOUS PROBLEM!!!! ====================
app not running!
Attempting to rebuild
==================== REBUILD LOG ====================
x86_64 arch detected.
Ensuring launcher is up to date
Fetching origin
Launcher is up-to-date
2.0.20230502-0058: Pulling from discourse/base
Digest: sha256:fa95da36c3d3a582d644b139ec678f5778d745697454bc86f598c689031b30aa
Status: Image is up to date for discourse/base:2.0.20230502-0058
docker.io/discourse/base:2.0.20230502-0058
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.1.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2023-06-07T01:56:01.228907 #1]  INFO -- : Reading from stdin
I, [2023-06-07T01:56:01.240197 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2023-06-07T01:56:01.476473 #1]  INFO -- : Generating locales (this might take a while)...
Generation complete.

I, [2023-06-07T01:56:01.478320 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2023-06-07T01:56:01.525118 #1]  INFO -- : 
I, [2023-06-07T01:56:01.526975 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2023-06-07T01:56:01.547772 #1]  INFO -- : 
I, [2023-06-07T01:56:01.549433 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2023-06-07T01:56:01.563394 #1]  INFO -- : 
I, [2023-06-07T01:56:01.564986 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2023-06-07T01:56:01.569020 #1]  INFO -- : 
I, [2023-06-07T01:56:01.570063 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2023-06-07T01:56:01.574006 #1]  INFO -- : 
I, [2023-06-07T01:56:01.575035 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres already running stop container ; exit 1
2023/06/07 01:56:01 socat[18] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2023-06-07T01:56:01.684718 #1]  INFO -- : 
I, [2023-06-07T01:56:01.685178 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2023-06-07T01:56:01.690841 #1]  INFO -- : 
I, [2023-06-07T01:56:01.691730 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2023-06-07T01:56:01.696860 #1]  INFO -- : 
I, [2023-06-07T01:56:01.701388 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-06-07T01:56:01.706511 #1]  INFO -- : 
I, [2023-06-07T01:56:01.707604 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-06-07T01:56:01.712073 #1]  INFO -- : 
I, [2023-06-07T01:56:01.719619 #1]  INFO -- : File > /etc/service/postgres/run  chmod: +x  chown: 
I, [2023-06-07T01:56:01.726417 #1]  INFO -- : File > /etc/service/postgres/log/run  chmod: +x  chown: 
I, [2023-06-07T01:56:01.734075 #1]  INFO -- : File > /etc/runit/3.d/99-postgres  chmod: +x  chown: 
I, [2023-06-07T01:56:01.740167 #1]  INFO -- : File > /root/upgrade_postgres  chmod: +x  chown: 
I, [2023-06-07T01:56:01.741202 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2023-06-07T01:56:45.577970 #1]  INFO -- : 
I, [2023-06-07T01:56:45.582323 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2023-06-07T01:56:45.588753 #1]  INFO -- : 
I, [2023-06-07T01:56:45.590076 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2023-06-07T01:56:45.611459 #1]  INFO -- : 
I, [2023-06-07T01:56:45.612318 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2023-06-07T01:56:45.619591 #1]  INFO -- : 
I, [2023-06-07T01:56:45.620570 #1]  INFO -- : > /root/upgrade_postgres
I, [2023-06-07T01:56:45.636593 #1]  INFO -- : 
I, [2023-06-07T01:56:45.638612 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2023-06-07T01:56:45.645793 #1]  INFO -- : 
I, [2023-06-07T01:56:45.646859 #1]  INFO -- : Replacing data_directory = '/var/lib/postgresql/13/main' with data_directory = '/shared/postgres_data' in /etc/postgresql/13/main/postgresql.conf
I, [2023-06-07T01:56:45.649716 #1]  INFO -- : Replacing (?-mix:#?listen_addresses *=.*) with listen_addresses = '*' in /etc/postgresql/13/main/postgresql.conf
I, [2023-06-07T01:56:45.653392 #1]  INFO -- : Replacing (?-mix:#?synchronous_commit *=.*) with synchronous_commit = $db_synchronous_commit in /etc/postgresql/13/main/postgresql.conf
I, [2023-06-07T01:56:45.654165 #1]  INFO -- : Replacing (?-mix:#?shared_buffers *=.*) with shared_buffers = $db_shared_buffers in /etc/postgresql/13/main/postgresql.conf
I, [2023-06-07T01:56:45.654992 #1]  INFO -- : Replacing (?-mix:#?work_mem *=.*) with work_mem = $db_work_mem in /etc/postgresql/13/main/postgresql.conf
I, [2023-06-07T01:56:45.655848 #1]  INFO -- : Replacing (?-mix:#?default_text_search_config *=.*) with default_text_search_config = '$db_default_text_search_config' in /etc/postgresql/13/main/postgresql.conf
I, [2023-06-07T01:56:45.662616 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2023-06-07T01:56:45.669450 #1]  INFO -- : 
I, [2023-06-07T01:56:45.672602 #1]  INFO -- : Replacing (?-mix:#?checkpoint_segments *=.*) with checkpoint_segments = $db_checkpoint_segments in /etc/postgresql/13/main/postgresql.conf
I, [2023-06-07T01:56:45.677489 #1]  INFO -- : Replacing (?-mix:#?logging_collector *=.*) with logging_collector = $db_logging_collector in /etc/postgresql/13/main/postgresql.conf
I, [2023-06-07T01:56:45.693599 #1]  INFO -- : Replacing (?-mix:#?log_min_duration_statement *=.*) with log_min_duration_statement = $db_log_min_duration_statement in /etc/postgresql/13/main/postgresql.conf
I, [2023-06-07T01:56:45.710522 #1]  INFO -- : Replacing (?-mix:^#local +replication +postgres +peer$) with local replication postgres  peer in /etc/postgresql/13/main/pg_hba.conf
I, [2023-06-07T01:56:45.711259 #1]  INFO -- : Replacing (?-mix:^host.*all.*all.*127.*$) with host all all 0.0.0.0/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-06-07T01:56:45.743800 #1]  INFO -- : Replacing (?-mix:^host.*all.*all.*::1\/128.*$) with host all all ::/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-06-07T01:56:45.760352 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2023-06-07T01:56:45.763001 #1]  INFO -- : > sleep 5
2023-06-07 01:56:45.911 UTC [41] LOG:  starting PostgreSQL 13.10 (Debian 13.10-1.pgdg110+1) on x86_64-pc-linux-gnu, compiled by gcc (Debian 10.2.1-6) 10.2.1 20210110, 64-bit
2023-06-07 01:56:45.912 UTC [41] LOG:  listening on IPv4 address "0.0.0.0", port 5432
2023-06-07 01:56:45.913 UTC [41] LOG:  listening on IPv6 address "::", port 5432
2023-06-07 01:56:45.976 UTC [41] LOG:  listening on Unix socket "/var/run/postgresql/.s.PGSQL.5432"
2023-06-07 01:56:46.094 UTC [44] LOG:  database system was shut down at 2023-06-07 00:53:20 UTC
2023-06-07 01:56:46.148 UTC [41] LOG:  database system is ready to accept connections
I, [2023-06-07T01:56:50.776597 #1]  INFO -- : 
I, [2023-06-07T01:56:50.777361 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2023-06-07 01:56:50.849 UTC [54] postgres@postgres FATAL:  database "postgres" does not exist
2023-06-07 01:56:50.866 UTC [55] postgres@template1 ERROR:  database "discourse" already exists
2023-06-07 01:56:50.866 UTC [55] postgres@template1 STATEMENT:  CREATE DATABASE discourse;
createdb: error: database creation failed: ERROR:  database "discourse" already exists
I, [2023-06-07T01:56:50.873393 #1]  INFO -- : 
I, [2023-06-07T01:56:50.874488 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2023-06-07 01:56:50.952 UTC [59] postgres@discourse ERROR:  role "discourse" already exists
2023-06-07 01:56:50.952 UTC [59] postgres@discourse STATEMENT:  create user discourse;
ERROR:  role "discourse" already exists
I, [2023-06-07T01:56:50.956073 #1]  INFO -- : 
I, [2023-06-07T01:56:50.956942 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2023-06-07T01:56:51.027444 #1]  INFO -- : GRANT

I, [2023-06-07T01:56:51.030458 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2023-06-07T01:56:51.105907 #1]  INFO -- : ALTER SCHEMA

I, [2023-06-07T01:56:51.107538 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2023-06-07T01:56:51.177347 #1]  INFO -- : CREATE EXTENSION

I, [2023-06-07T01:56:51.178269 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2023-06-07T01:56:51.255725 #1]  INFO -- : CREATE EXTENSION

I, [2023-06-07T01:56:51.256767 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2023-06-07T01:56:51.337617 #1]  INFO -- : CREATE EXTENSION

I, [2023-06-07T01:56:51.339013 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2023-06-07T01:56:51.411681 #1]  INFO -- : CREATE EXTENSION

I, [2023-06-07T01:56:51.412706 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2023-06-07T01:56:51.417667 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2023-06-07T01:56:51.492235 #1]  INFO -- : File > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2023-06-07T01:56:51.497328 #1]  INFO -- : File > /var/spool/cron/crontabs/postgres  chmod:   chown: 
I, [2023-06-07T01:56:51.498387 #1]  INFO -- : > echo postgres installed!
I, [2023-06-07T01:56:51.501737 #1]  INFO -- : postgres installed!

I, [2023-06-07T01:56:51.508382 #1]  INFO -- : File > /etc/service/redis/run  chmod: +x  chown: 
I, [2023-06-07T01:56:51.514756 #1]  INFO -- : File > /etc/service/redis/log/run  chmod: +x  chown: 
I, [2023-06-07T01:56:51.520768 #1]  INFO -- : File > /etc/runit/3.d/10-redis  chmod: +x  chown: 
I, [2023-06-07T01:56:51.521898 #1]  INFO -- : Replacing daemonize yes with  in /etc/redis/redis.conf
I, [2023-06-07T01:56:51.523757 #1]  INFO -- : Replacing (?-mix:^pidfile.*$) with  in /etc/redis/redis.conf
I, [2023-06-07T01:56:51.524825 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2023-06-07T01:56:51.529407 #1]  INFO -- : 
I, [2023-06-07T01:56:51.530794 #1]  INFO -- : Replacing (?-mix:^logfile.*$) with logfile "" in /etc/redis/redis.conf
I, [2023-06-07T01:56:51.532333 #1]  INFO -- : Replacing (?-mix:^bind .*$) with  in /etc/redis/redis.conf
I, [2023-06-07T01:56:51.533475 #1]  INFO -- : Replacing (?-mix:^dir .*$) with dir /shared/redis_data in /etc/redis/redis.conf
I, [2023-06-07T01:56:51.534970 #1]  INFO -- : Replacing (?-mix:^protected-mode yes) with protected-mode no in /etc/redis/redis.conf
I, [2023-06-07T01:56:51.536109 #1]  INFO -- : Replacing # io-threads 4 with io-threads $redis_io_threads in /etc/redis/redis.conf
I, [2023-06-07T01:56:51.537583 #1]  INFO -- : > echo redis installed
I, [2023-06-07T01:56:51.543105 #1]  INFO -- : redis installed

I, [2023-06-07T01:56:51.544052 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2023-06-07T01:56:51.549618 #1]  INFO -- : logfile ""

I, [2023-06-07T01:56:51.550524 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-06-07T01:56:51.552857 #1]  INFO -- : > sleep 10
103:C 07 Jun 2023 01:56:51.564 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
103:C 07 Jun 2023 01:56:51.565 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=103, just started
103:C 07 Jun 2023 01:56:51.566 # Configuration loaded
103:M 07 Jun 2023 01:56:51.567 * monotonic clock: POSIX clock_gettime
103:M 07 Jun 2023 01:56:51.569 * Running mode=standalone, port=6379.
103:M 07 Jun 2023 01:56:51.569 # Server initialized
103:M 07 Jun 2023 01:56:51.570 # WARNING Memory overcommit must be enabled! Without it, a background save or replication may fail under low memory condition. Being disabled, it can can also cause failures without low memory condition, see https://github.com/jemalloc/jemalloc/issues/1328. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
103:M 07 Jun 2023 01:56:51.572 * Loading RDB produced by version 7.0.7
103:M 07 Jun 2023 01:56:51.573 * RDB age 3811 seconds
103:M 07 Jun 2023 01:56:51.573 * RDB memory usage when created 0.82 Mb
103:M 07 Jun 2023 01:56:51.574 * Done loading RDB, keys loaded: 0, keys expired: 0.
103:M 07 Jun 2023 01:56:51.574 * DB loaded from disk: 0.003 seconds
103:M 07 Jun 2023 01:56:51.575 * Ready to accept connections
I, [2023-06-07T01:57:01.559118 #1]  INFO -- : 
I, [2023-06-07T01:57:01.560147 #1]  INFO -- : > thpoff echo "thpoff is installed!"
I, [2023-06-07T01:57:01.568594 #1]  INFO -- : thpoff is installed!

I, [2023-06-07T01:57:01.570397 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2023-06-07T01:57:01.691310 #1]  INFO -- : 
I, [2023-06-07T01:57:01.693524 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2023-06-07T01:57:01.790005 #1]  INFO -- : 
I, [2023-06-07T01:57:01.791590 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2023-06-07T01:57:01.887026 #1]  INFO -- : 
I, [2023-06-07T01:57:01.888614 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2023-06-07T01:57:01.892910 #1]  INFO -- : 
I, [2023-06-07T01:57:01.897813 #1]  INFO -- : File > /etc/cron.d/anacron  chmod:   chown: 
I, [2023-06-07T01:57:01.904634 #1]  INFO -- : File > /etc/runit/1.d/copy-env  chmod: +x  chown: 
I, [2023-06-07T01:57:01.911401 #1]  INFO -- : File > /etc/service/unicorn/run  chmod: +x  chown: 
I, [2023-06-07T01:57:01.917998 #1]  INFO -- : File > /etc/service/nginx/run  chmod: +x  chown: 
I, [2023-06-07T01:57:01.924031 #1]  INFO -- : File > /etc/runit/3.d/01-nginx  chmod: +x  chown: 
I, [2023-06-07T01:57:01.929959 #1]  INFO -- : File > /etc/runit/3.d/02-unicorn  chmod: +x  chown: 
I, [2023-06-07T01:57:01.930941 #1]  INFO -- : Replacing # postgres with sv start postgres || exit 1 in /etc/service/unicorn/run
I, [2023-06-07T01:57:01.932249 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-06-07T01:57:01.935608 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
130:C 07 Jun 2023 01:57:01.950 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
130:C 07 Jun 2023 01:57:01.951 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=130, just started
130:C 07 Jun 2023 01:57:01.952 # Configuration loaded
130:M 07 Jun 2023 01:57:01.954 * monotonic clock: POSIX clock_gettime
130:M 07 Jun 2023 01:57:01.955 # Warning: Could not create server TCP listening socket *:6379: bind: Address already in use
130:M 07 Jun 2023 01:57:01.955 # Failed listening on port 6379 (TCP), aborting.
Updating files: 100% (33085/33085), done.
I, [2023-06-07T01:57:09.791146 #1]  INFO -- : HEAD is now at a8e28060d FIX: rename notify_about_flags_after to notify_about_reviewable_item_after (#21320)

I, [2023-06-07T01:57:09.792664 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2023-06-07T01:57:10.838690 #1]  INFO -- : 
I, [2023-06-07T01:57:10.840122 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
'
fatal: unable to access 'https://github.com/discourse/discourse.git/': gnutls_handshake() failed: Error in the pull function.
I, [2023-06-07T02:00:12.081613 #1]  INFO -- : 
I, [2023-06-07T02:00:12.084329 #1]  INFO -- : Terminating async processes
I, [2023-06-07T02:00:12.085079 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 41
2023-06-07 02:00:12.086 UTC [41] LOG:  received fast shutdown request
I, [2023-06-07T02:00:12.090399 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 103
103:signal-handler (1686103212) Received SIGTERM scheduling shutdown...
2023-06-07 02:00:12.092 UTC [41] LOG:  aborting any active transactions
2023-06-07 02:00:12.110 UTC [41] LOG:  background worker "logical replication launcher" (PID 50) exited with exit code 1
2023-06-07 02:00:12.110 UTC [45] LOG:  shutting down
103:M 07 Jun 2023 02:00:12.190 # User requested shutdown...
103:M 07 Jun 2023 02:00:12.190 * Saving the final RDB snapshot before exiting.
103:M 07 Jun 2023 02:00:12.358 * DB saved on disk
103:M 07 Jun 2023 02:00:12.359 # Redis is now ready to exit, bye bye...
2023-06-07 02:00:12.535 UTC [41] LOG:  database system is shut down


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' failed with return #<Process::Status: pid 138 exit 128>
Location of failure: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.1.1/lib/pups/exec_command.rb:117:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
bootstrap failed with exit code 128
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
3ef919dc3764d4512aa7b8f2558b281761928bfd5157f9eeb136a480fbc6cd1c
==================== END REBUILD LOG ====================
Failed to rebuild app.

Checking your domain name . . .

Connection to forum.beginner.center succeeded.
You should probably remove any non-standard plugins and rebuild.
Attempting to restart existing container. . . 
x86_64 arch detected.

+ /usr/bin/docker run --shm-size=512m -d --restart=always -e LANG=en_US.UTF-8 -e RAILS_ENV=production -e UNICORN_WORKERS=4 -e UNICORN_SIDEKIQS=1 -e RUBY_GC_HEAP_GROWTH_MAX_SLOTS=40000 -e RUBY_GC_HEAP_INIT_SLOTS=400000 -e RUBY_GC_HEAP_OLDOBJECT_LIMIT_FACTOR=1.5 -e DISCOURSE_DB_SOCKET=/var/run/postgresql -e DISCOURSE_DB_HOST= -e DISCOURSE_DB_PORT= -e LETSENCRYPT_DIR=/shared/letsencrypt -e DISCOURSE_FORCE_HTTPS=true -e LC_ALL=en_US.UTF-8 -e LANGUAGE=en_US.UTF-8 -e DISCOURSE_HOSTNAME=forum.beginner.center -e DISCOURSE_DEVELOPER_EMAILS=whitewatercn@outlook.com -e DISCOURSE_SMTP_ADDRESS=in-v3.mailjet.com -e DISCOURSE_SMTP_PORT=587 -e DISCOURSE_SMTP_USER_NAME=7b14af9b5034dd6e7639d19587cb7831 -e DISCOURSE_SMTP_PASSWORD=46764f565c54a0fd94b8cbc88e1e00ad -e DISCOURSE_SMTP_DOMAIN=beginner.center -e DISCOURSE_NOTIFICATION_EMAIL=discuss@beginner.center -e LETSENCRYPT_ACCOUNT_EMAIL=me@example.com -h cvm-3k8ngdw25i225-app -e DOCKER_HOST_IP=172.17.0.1 --name app -t -p 80:80 -p 443:443 -v /var/discourse/shared/standalone:/shared -v /var/discourse/shared/standalone/log/var-log:/var/log --mac-address 02:83:9d:ab:b2:27 local_discourse/app /sbin/boot
Unable to find image 'local_discourse/app:latest' locally
docker: Error response from daemon: pull access denied for local_discourse/app, repository does not exist or may require 'docker login': denied: requested access to the resource is denied.
See 'docker run --help'.
Failed to restart the container.


==================== PLUGINS ====================
          - git clone https://github.com/discourse/docker_manager.git

No non-official plugins detected.

See https://github.com/discourse/discourse/blob/main/lib/plugin/metadata.rb for the official list.

========================================
Discourse version at forum.beginner.center: NOT FOUND
Discourse version at localhost: NOT FOUND


==================== MEMORY INFORMATION ====================
RAM (MB): 2071

               total        used        free      shared  buff/cache   available
Mem:            1975         409         413           0        1152        1378
Swap:           2047           0        2047

==================== DISK SPACE CHECK ====================
---------- OS Disk Space ----------
Filesystem      Size  Used Avail Use% Mounted on
/dev/vda1        20G  8.6G   11G  45% /

==================== DISK INFORMATION ====================
Disk /dev/loop0: 61.93 MiB, 64933888 bytes, 126824 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/loop1: 63.45 MiB, 66535424 bytes, 129952 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/loop2: 79.95 MiB, 83832832 bytes, 163736 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/loop3: 111.95 MiB, 117387264 bytes, 229272 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/loop4: 53.26 MiB, 55844864 bytes, 109072 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/vda: 20 GiB, 21474836480 bytes, 41943040 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: D83B20B1-DCF5-4453-A269-F52759607D7B

Device      Start      End  Sectors  Size Type
/dev/vda1  227328 41943006 41715679 19.9G Linux filesystem
/dev/vda14   2048    10239     8192    4M BIOS boot
/dev/vda15  10240   227327   217088  106M EFI System

Partition table entries are not in disk order.


Disk /dev/vdb: 20 GiB, 21474836480 bytes, 41943040 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes

==================== END DISK INFORMATION ====================

==================== MAIL TEST ====================
For a robust test, get an address from http://www.mail-tester.com/
Or just send a test message to yourself.
Email address for mail test? ('n' to skip) [whitewatercn@outlook.com]: 
Sending mail to whitewatercn@outlook.com. . . 
Error response from daemon: No such container: app

Replacing: SMTP_PASSWORD
Replacing: LETSENCRYPT_ACCOUNT_EMAIL
Replacing: DEVELOPER_EMAILS
Replacing: DISCOURSE_DB_PASSWORD
Replacing: Sending mail to

==================== DONE! ====================

You can examine the output of this script with 
LESS=-Ri less /tmp/discourse-debug.txt

BUT FIRST, make sure that you know the first three commands below!!!

Commands to know when viewing the file with the above command (called 'less'): 
q              -- quit
/error<ENTER>  -- search for the word 'error'
n              -- search for the next occurrence
g              -- go to the beginning of the file
f              -- go forward a page
b              -- go back a page
G              -- go to the end of the file

make it! by